<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@E312=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Loops">
    <script state="run">
      <action>maincpu.pb@E12B=11</action>
    </script>
  </cheat>

  <cheat desc="Select next level">
    <parameter min="1" max="9" step="1"/>
    <script state="change">
      <action>maincpu.pb@E451=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Select Smart Bomb">
    <parameter>
      <item value="0x00">Thunder Bomb</item>
      <item value="0x01">Tsunami Bomb</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@E145=param</action> <!-- The alternative 'smart bomb' efect a sort of Tsunami (Tidal Wave) MegaCrush -->
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@F206=40</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@F214=02</action>
    </script>
  </cheat>

  <cheat desc="Always Enable Secret Code PL1"> <comment>Get the weapon at the start of every stage</comment>
    <script state="on">
      <action>temp0 =maincpu.mb@7274</action>
    </script>
    <script state="run">
      <action>maincpu.mb@7274=18</action>
    </script>
    <script state="off">
      <action>maincpu.mb@7274=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Infinite Weapon Time PL1">
    <script state="run">
      <action>maincpu.pb@F257=63</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL1">
    <parameter>
      <item value="0x00">Normal</item>
      <item value="0x01">Auto Gun</item>
      <item value="0x02">Shot Gun</item>
      <item value="0x03">Mega Shot Gun</item>
      <item value="0x04">Three Way Gun</item>
      <item value="0x08">Shell Gun</item>
      <item value="0x10">Laser Gun</item>
      <item value="0x30">Laser+ Gun</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@F251=param</action>
    </script>
  </cheat>

  <cheat desc="Always have Twin Planes PL1">
    <script state="run">
      <action>maincpu.pb@F204=01</action>
      <action>maincpu.pb@F210=14</action>
    </script>
    <script state="off">
      <action>maincpu.pb@F204=00</action>
      <action>maincpu.pb@F210=07</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL1">
    <script state="run">
      <action>maincpu.pb@F254=F8</action>
      <action>maincpu.pb@F256=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@F286=40</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@F294=02</action>
    </script>
  </cheat>

  <cheat desc="Always Enable Secret Code PL2"> <comment>Get the weapon at the start of every stage</comment>
    <script state="on">
      <action>temp0 =maincpu.mb@7295</action>
    </script>
    <script state="run">
      <action>maincpu.mb@7295=18</action>
    </script>
    <script state="off">
      <action>maincpu.mb@7295=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Infinite Weapon Time PL2">
    <script state="run">
      <action>maincpu.pb@F2D7=63</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL2">
    <parameter>
      <item value="0x00">Normal</item>
      <item value="0x01">Auto Gun</item>
      <item value="0x02">Shot Gun</item>
      <item value="0x03">Mega Shot Gun</item>
      <item value="0x04">Three Way Gun</item>
      <item value="0x08">Shell Gun</item>
      <item value="0x10">Laser Gun</item>
      <item value="0x30">Laser+ Gun</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@F2D1=param</action>
    </script>
  </cheat>

  <cheat desc="Always have Twin Planes PL2">
    <script state="run">
      <action>maincpu.pb@F284=01</action>
      <action>maincpu.pb@F290=14</action>
    </script>
    <script state="off">
      <action>maincpu.pb@F284=00</action>
      <action>maincpu.pb@F290=07</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL2">
    <script state="run">
      <action>maincpu.pb@F2D4=F8</action>
      <action>maincpu.pb@F2D6=00</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
